Mailinglist Archive: opensuse-packaging (106 mails)

< Previous Next >
Re: [opensuse-packaging] packaging lib with plugins (the suil case)

On Tuesday 2015-12-08 11:08, Dave Plater wrote:

/usr/lib64/libsuil-0.so.1
/usr/lib64/libsuil-0.so.1.0.0
/usr/lib64/suil-0/libsuil_gtk2_in_qt4.so
/usr/lib64/suil-0/libsuil_qt4_in_gtk2.so
/usr/lib64/suil-0/libsuil_x11_in_gtk2.so
/usr/lib64/suil-0/libsuil_x11_in_qt4.so

The package is called suil and upstream will most probably call libsuil,
libsuil-1 when the major version increments, their api docs go to
_docdir/libsuil-0. The libs under suil-0 are plugins so they should go into a
plugins package but you have a point Jan.
I took this line from wafscript :
module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION

Well, the easy way out is to just define

module_dir = '${LIBDIR}/suil-0-0' (to match libsuil-0.so.0)

and we could all go home and have a nice afternoon.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups